Bug 198763 - x11/tilda Request to update port
Summary: x11/tilda Request to update port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-21 12:02 UTC by mzs_47
Modified: 2015-04-12 14:07 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mzs_47 2015-03-21 12:02:46 UTC
Please update tilda from 0.9.6 to latest stable release 1.2.x

The development of tilda has moved to git and the URL is https://github.com/lanoxx/tilda
Comment 1 Rodrigo Osorio freebsd_committer 2015-03-22 20:11:33 UTC
I try, and I try hard but the 1.x.x version of tilda
requires a hard work by upstream before any update.

If you exclude some design behaviors like the automake
requirements, the build is broken because they use
some vte deprecated libraries since 2013.

I gona open an issue about this, but has no time to fix
the issue.
Comment 2 Rodrigo Osorio freebsd_committer 2015-03-22 23:29:34 UTC
According with an existing PR, a 2.91 version is on the way
for the v1.3 (delayed). Since 1.2 version integration in FreeBSD
is quite impossible, we have to wait. I suggest you to ask the project
about the 1.3 release status.

I'll keep this ticket open as a reminder.
Comment 3 mzs_47 2015-03-25 13:40:18 UTC
Thank you!  :)

I will see what I can do.
Comment 4 mzs_47 2015-03-25 14:15:28 UTC
I think you are more eligible to reply to this.

https://github.com/lanoxx/tilda/issues/130
Comment 5 Rodrigo Osorio freebsd_committer 2015-04-10 15:40:57 UTC
As I said in github/tilda I found extra time to rework the
full tilda build and fatally I success !
A package for test only is on the way, maybe this weekend.

Thanks for your support.
- rodrigo
Comment 6 Rodrigo Osorio freebsd_committer 2015-04-12 14:07:15 UTC
committed, thanks
Comment 7 commit-hook freebsd_committer 2015-04-12 14:07:16 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Apr 12 14:06:54 UTC 2015
New revision: 383869
URL: https://svnweb.freebsd.org/changeset/ports/383869

Log:
  Upgrade tilda to latest stable release 1.2.2
  Fix/Rework build

  PR:		198763
  Submitted by:	rodrigo (maintainer)

Changes:
  head/x11/tilda/Makefile
  head/x11/tilda/distinfo
  head/x11/tilda/files/patch-key_grabber.c
  head/x11/tilda/files/patch-tilda.c
  head/x11/tilda/pkg-descr
  head/x11/tilda/pkg-plist